# IndustrialEnergyTracker

Industrial energy and resource tracking system for PLCs and PACs.

## Getting Started

### Prerequisites
- `Python 3.12` or higher
- `uv` package manager

### Installation

1. Clone the repository
    `git clone gitea.bigoscloud.com/biggy/IndustrialEnergyTracker`

2. Create and activate virtual environment
    `uv venv && source .venv/bin/activate`

3. Install project dependencies
    `uv pip install -e .`

4. Install development dependencies (optional)
    `uv pip install -e ".[dev]"`

### Configuration

1. Create `config.ini` file based on template
2. Configure database connections and other settings

### Development

Update dependencies to latest compatible versions:
    `uv pip compile pyproject.toml`

## Features

- Multi-database support (MSSQL, PostgreSQL)
- PLC/PAC communication
- Scheduled data collection
- Energy and resource tracking
- Configurable via database

## Project Structure

- `src/` - Source code
- `main.py` - Application entry point
- `scheduler.py` - Scheduling service
